Subject: bug#49042: closed (Re: bug#49042: [PATCH 0/2] WIP gnu: Add ruby-taskjuggler.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 26 Jun 2021 21:45:02 +0000

Your bug report

#49042: [PATCH 0/2] WIP gnu: Add ruby-taskjuggler.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49042: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49042
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#49042: [PATCH 0/2] WIP gnu: Add ruby-taskjuggler.
From: Ludovic Courtès <[email-masked]>
To: Giovanni Biscuolo <[email-masked]>
Cc: [email-masked]
Date: Sat, 26 Jun 2021 23:44:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Giovanni Biscuolo <[email-masked]> skribis:

>>>From 9ac299b7e54cd8602f17be35d65893ee77c7d487 Mon Sep 17 00:00:00 2001
> From: Giovanni Biscuolo <[email-masked]>
> Date: Wed, 9 Jun 2021 11:49:15 +0200
> Subject: [PATCH 1/2] gnu: ruby-term-ansicolor: Update to 1.7.1.
>
> * gnu/packages/ruby.scm (ruby-term-ansicolor): Update to 1.7.1.

[...]

> From 46aacfc1ab93166a289f8edb1fcd119e9145840c Mon Sep 17 00:00:00 2001
> From: Giovanni Biscuolo <[email-masked]>
> Date: Wed, 9 Jun 2021 11:57:12 +0200
> Subject: [PATCH] gnu: Add ruby-taskjuggler.
>
> * gnu/packages/ruby.scm (ruby-taskjuggler): New variable.

Applied, thanks!

Ludo’.

Subject: [PATCH 0/2] WIP gnu: Add ruby-taskjuggler.
From: Giovanni Biscuolo <[email-masked]>
To: [email-masked]
Date: Tue, 15 Jun 2021 16:40:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

First, ruby-taskjuggler needs ruby-term-ansicolor version 1.7.1 or above (43
dependent packages rebuilds).

This is the new package ruby-taskjuggler but still have an issue I'm not able
to fix.

The package is succesfully built, tests included (except the removed one) but
if I run the program with the tutorial example file provided upstream [1] I
get this result:

--8<---------------cut here---------------start------------->8---

giovanni@roquette: tj3 -o tutorial tutorial.tjp 
TaskJuggler v3.7.1 - A Project Management Software

Copyright (c) 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019, 2020
              by Chris Schlaeger <[email-masked]>

This program is free software; you can redistribute it and/or modify it under
the terms of version 2 of the GNU General Public License as published by the
Free Software Foundation.

tutorial.tjp:11: Error: Europe/Paris is not a known time zone
  timezone "Europe/Paris"

--8<---------------cut here---------------end--------------->8---

The strange thing is that timezones are tested at build (check) time but they
seems missing at runtime.

Please any hint on what I'm doing wrong?

I would like to fix this before merging to master.

Best regards, Giovanni

[1] https://taskjuggler.org/tj3/examples/Tutorial/tutorial.tjp

Giovanni Biscuolo (2):
  gnu: ruby-term-ansicolor: Update to 1.7.1.
  gnu: Add ruby-taskjuggler.

 gnu/packages/ruby.scm | 58 +++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 56 insertions(+), 2 deletions(-)

-- 
2.31.1